# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name        = "gherkin"
  s.version     = "2.3.3"
  s.authors     = ["Mike Sassak", "Gregory Hnatiuk", "Aslak Hellesøy"]
  s.description = "A fast Gherkin lexer/parser based on the Ragel State Machine Compiler."
  s.summary     = "gherkin-2.3.3"
  s.email       = "cukes@googlegroups.com"
  s.homepage    = "http://github.com/aslakhellesoy/gherkin"

  s.rubygems_version   = "1.3.7"
  s.default_executable = "gherkin"

  specfiles           = Dir[ "spec/gherkin/fixtures/*.feature",
                             "spec/gherkin/fixtures/*.json",
                             "spec/gherkin/formatter/*.rb", "spec/gherkin/*.rb",
                             "spec/gherkin/parser/parser_spec.rb",
                             "spec/gherkin/shared/*.rb", "spec/*.rb" ]
  featurefiles        = Dir[ "features/*.feature", "features/*.rb" ]

  s.files             = Dir[ "Gemfile", "History.txt", "LICENSE",
                             "README.rdoc", "Rakefile", "VERSION",
                             "build_native_gems.sh", "cucumber.yml",
                             "gherkin.gemspec", "lib/*.rb", "lib/*.yml",
                             "lib/gherkin/formatter/*.rb",
                             "lib/gherkin/lexer/*.rb",
                             "lib/gherkin/listener/*.rb",
                             "lib/gherkin/native/*.rb",
                             "lib/gherkin/parser/*.txt",
                             "lib/gherkin/parser/*.rb",
                             "lib/gherkin/rb_lexer/README.rdoc", "ragel/*.erb",
                             "tasks/bench/*.rb",
                             "tasks/*.rake" ] + specfiles + featurefiles
  s.test_files        = specfiles + featurefiles

  s.extra_rdoc_files = ["LICENSE", "README.rdoc", "History.txt"]
  s.rdoc_options     = ["--charset=UTF-8"]
  s.require_path     = "lib"

  if ENV['GEM_PLATFORM']
    puts "GEM_PLATFORM:#{ENV['GEM_PLATFORM']}"
  end
  s.platform = ENV['GEM_PLATFORM'] if ENV['GEM_PLATFORM']
  case s.platform.to_s
  when /java/
    s.files += ['lib/gherkin.jar']
  when /mswin|mingw32/
    s.files += Dir['lib/*/*.so']
  when /dotnet/
    s.files += Dir['lib/*.dll']
  else # MRI or Rubinius
    s.files += Dir['lib/gherkin/rb_lexer/*.rb']
    s.files += Dir['ext/**/*.c']
    s.extensions = Dir['ext/**/extconf.rb']
    s.add_development_dependency('rake-compiler', '~> 0.7.5')
  end

  s.add_dependency('json', '~> 1.4.3')

  s.add_development_dependency('rake', '~> 0.8.7')
  s.add_development_dependency('bundler', '~> 1.0.7')
  s.add_development_dependency('rspec', '~> 2.3.0')
  s.add_development_dependency('awesome_print', '~> 0.2.1')
  s.add_development_dependency('cucumber', '~> 0.10.0')
  # Only needed by Cucumber. Remove when Cucumber no longer needs those.
  s.add_development_dependency('term-ansicolor', '~> 1.0.5')
  s.add_development_dependency('builder', '~> 3.0.0')
end
